<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Friend List</title>
    <style>
      * {
        margin: 20px auto;
        text-align: center;
        background-color: rgb(219, 219, 219);
      }
      .friends {
        font-family: Arial, Helvetica, sans-serif;
        border-collapse: collapse;
        width: 80%;
      }

      .friends td, .friends th {
        border: 1px solid #ddd;
        padding: 8px;
        background-color: white;
      }

      .friends tr:nth-child(even){background-color: #3b3b3bcc;}

      .friends tr:hover {background-color: #ddd;}

      .friends th {
        padding-top: 12px;
        padding-bottom: 12px;
        text-align: center;
        background-color: rgb(73, 73, 73);
        color: white;
      }
      h1{
        color: rgb(73, 73, 73);
      }
      </style>
  </head>
  <body>
    <h1> Daftar Teman Dimas </h1>
    <table class="friends">
      <tr>
        <th>Name</th>
        <th>NPM</th>
        <th>DOB</th>
      </tr>
      <!-- loop from Friend model -->
      {% if friends %} 
        {% for friend in friends %}
        <tr>
          <td>{{ friend.name }}</td>
          <td>{{ friend.npm }}</td>
          <td>{{ friend.dob }}</td>
        </tr>  
        {% endfor %}
      {% endif %}
    </table>
  </body>
</html>
